
Foreman - Bug #1765

Changing IP on managed host remove DNS A record

07/18/2012 11:58 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee:    

Category: DNS   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I loose my DNS A record when I change IP on managed host.

See logs:

Started POST "/hosts/testromain1.example.com" for 192.168.200.117 at Wed Jul 18 13:39:12 +0200 2012

Processing by HostsController#update as

Parameters: {"capabilities"=>"build", "authenticity_token"=>"gfF89D3ohhPL1XbmeVSth6RtFKBGHakV3Jahm92P/Tw=", "utf8"=>"✓",

"id"=>"testromain1.example.com", "host"=>{"name"=>"testromain1", "managed"=>"1", "subnet_id"=>"2", "architecture_id"=>"1",

"comment"=>"", "compute_attributes"=>{"nics_attributes"=>{"new_nics"=>{"_delete"=>"", "bridge"=>"breth0"}, "0"=>{"_delete"=>"",

"id"=>"70368579529060", "bridge"=>"breth0"}}, "volumes_attributes"=>{"new_volumes"=>{"_delete"=>"", "pool_name"=>"default",

"format_type"=>"raw", "capacity"=>"10G"}, "0"=>{"_delete"=>"", "pool_name"=>"default",

"id"=>"/var/lib/libvirt/images/testromain1.example.com-disk1", "format_type"=>"raw", "capacity"=>"10"}}}, "sp_mac"=>"",

"provision_method"=>"build", "overwrite"=>"true", "puppet_proxy_id"=>"2", "puppet_ca_proxy_id"=>"2", "mac"=>"52:54:00:a5:fe:30",

"domain_id"=>"4", "sp_name"=>"", "hostgroup_id"=>"5", "medium_id"=>"6", "root_pass"=>"[FILTERED]", "enabled"=>"1",

"ptable_id"=>"6", "is_owned_by"=>"9-Users", "environment_id"=>"2", "progress_report_id"=>"[FILTERED]", "ip"=>"192.168.200.195",

"sp_subnet_id"=>"", "puppetclass_ids"=>[""], "sp_ip"=>"", "disk"=>"", "operatingsystem_id"=>"2"}}

DHCP record testromain1.example.com-52:54:00:a5:fe:30/192.168.200.44 already exists

Delete the DNS A record for testromain1.example.com/192.168.200.44

Delete DHCP reservation for testromain1.example.com-52:54:00:a5:fe:30/192.168.200.44

Delete DHCP reservation for testromain1.example.com-52:54:00:a5:fe:30/192.168.200.44

Add DNS A record for testromain1.example.com/192.168.200.195

Add DNS PTR record for 192.168.200.195/testromain1.example.com

Delete the DNS PTR record for 192.168.200.44/testromain1.example.com

Delete the DNS A record for testromain1.example.com/192.168.200.44

Create DHCP reservation for testromain1.example.com-52:54:00:a5:fe:30/192.168.200.195

Completed 200 OK in 17395ms (Views: 0.3ms | ActiveRecord: 17.5ms)

Associated revisions

Revision 017a7d84 - 07/19/2012 08:13 AM - Ohad Levy

fixes #1765 - changing a conflicting IP address might lead to losing DNS or DHCP records

History

#1 - 07/19/2012 10:02 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 017a7d84fd3e580fd97c366b9bf95624b4d0871c.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/017a7d84fd3e580fd97c366b9bf95624b4d0871c
http://www.tcpdf.org

